Kea: isc::dhcp::PacketQueueMgr6 Class Reference

| Kea 3.2.0-git

isc::dhcp::PacketQueueMgr6 Class Reference

Packet Queue Manager for DHCPv6 servers. More...

`#include <packet_queue_mgr6.h>`

Inheritance diagram for isc::dhcp::PacketQueueMgr6:
[legend]

## Public Member Functions
| PacketQueueMgr6 ()
| constructor.
virtual | ~PacketQueueMgr6 ()
| virtual Destructor
Public Member Functions inherited from isc::dhcp::PacketQueueMgr< PacketQueue6Ptr >
| PacketQueueMgr ()
| Constructor.
void | createPacketQueue (data::ConstElementPtr parameters)
| Create an instance of a packet queue.
void | destroyPacketQueue ()
| Destroys the current packet queue.
PacketQueue6Ptr | getPacketQueue () const
| Returns underlying packet queue.
bool | registerPacketQueueFactory (const std::string &queue_type, Factory factory)
| Registers new queue factory function for a given queue type.
bool | unregisterPacketQueueFactory (const std::string &queue_type)
| Unregisters the queue factory function for a given type.

## Static Public Attributes
static const std::string | DEFAULT_QUEUE_TYPE6 = "kea-ring6"
| Logical name of the pre-registered, default queue implementation.

## Additional Inherited Members
Public Types inherited from isc::dhcp::PacketQueueMgr< PacketQueue6Ptr >
typedef std::function< PacketQueue6Ptr(data::ConstElementPtr)> | Factory
| Defines the type of the packet queue factory function.
Protected Attributes inherited from isc::dhcp::PacketQueueMgr< PacketQueue6Ptr >
std::map< std::string, Factory > | factories_
| A map holding registered backend factory functions.
PacketQueue6Ptr | packet_queue_
| the current queue_ ?

## Detailed Description

Packet Queue Manager for DHCPv6 servers.

Implements the "manager" class which holds information about the supported DHCPv6 packet queue implementations and provides management of the current queue instance.

Definition at line 22 of file packet_queue_mgr6.h.

## Constructor & Destructor Documentation

## ◆ PacketQueueMgr6()

isc::dhcp::PacketQueueMgr6::PacketQueueMgr6 | ( |  | ) |

constructor.

It registers a default factory for DHCPv6 queues.

Definition at line 18 of file packet_queue_mgr6.cc.

References DEFAULT_QUEUE_TYPE6, isc::data::SimpleParser::getInteger(), isc_throw, and isc::dhcp::PacketQueueMgr< PacketQueue6Ptr >::registerPacketQueueFactory().

Here is the call graph for this function:

## ◆ ~PacketQueueMgr6()

virtual isc::dhcp::PacketQueueMgr6::~PacketQueueMgr6 | ( |  | ) |
| inlinevirtual

virtual Destructor

Definition at line 34 of file packet_queue_mgr6.h.

## Member Data Documentation

## ◆ DEFAULT_QUEUE_TYPE6

const std::string isc::dhcp::PacketQueueMgr6::DEFAULT_QUEUE_TYPE6 = "kea-ring6"
| static

Logical name of the pre-registered, default queue implementation.

Definition at line 26 of file packet_queue_mgr6.h.

Referenced by PacketQueueMgr6().

The documentation for this class was generated from the following files:

- packet_queue_mgr6.h
- packet_queue_mgr6.cc